javax.batch.runtime

## Interface Metric

    public interface Metric

The Metric interface defines job metrics recorded by the batch runtime.

### Nested Class Summary

Nested Classes
`static class` `Metric.MetricType` The enum defining the specification-defined metric types.

### Method Summary

Methods
`Metric.MetricType` `getType()` The getName method returns the metric type.
`long` `getValue()` The getValue method returns the metric value.

### Method Detail

#### getType

    Metric.MetricType getType()

The getName method returns the metric type.

Returns:
  metric type.

#### getValue

    long getValue()

The getValue method returns the metric value.

Returns:
  metric value.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0